albums: []
description: ''
franchises: []
link: product/22313
meta:
  added_date: 2025-09-01T06:44
  edited_date: 2025-09-01T06:44
  fetched_date: 2025-12-06T06:55
  ttl: 86400
  visitors: 52
name: Calling All Cars!
organizations: []
picture_full: https://media.vgm.io/products/31/22313/22313-1756738219.png
picture_small: https://thumb-media.vgm.io/products/31/22313/22313-1756738219.png
release_date: '2007-05-10'
releases:
- date: '2007-05-10'
  link: release/36617
  names:
    en: Calling All Cars!
    ja: Calling All Cars!
    ja-latn: Calling All Cars!
  platform: Sony PlayStation 3
  region: U.S.
type: Game
vgmdb_link: https://vgmdb.net/product/22313?perpage=99999
websites:
  Reference: []
